> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# Log Corpus Item View

POST https://your-agent-domain.com/api/v1/corpus/{model}/{id}/view
Content-Type: application/json

Records that a user viewed a specific corpus item

Reference: https://docs.apologist.ai/agent-api/api-reference/events/log-corpus-view

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: agent-api
  version: 1.0.0
paths:
  /corpus/{model}/{id}/view:
    post:
      operationId: logCorpusView
      summary: Log Corpus Item View
      description: Records that a user viewed a specific corpus item
      tags:
        - corpus
      parameters:
        - name: model
          in: path
          description: The model type (e.g., 'source')
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The ID of the corpus item
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: View successfully logged
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Invalid request payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ViewRequest'
servers:
  - url: https://your-agent-domain.com/api/v1
    description: Production server
components:
  schemas:
    ViewRequest:
      type: object
      properties:
        prompt_id:
          type: string
        user_id:
          type:
            - string
            - 'null'
      required:
        - prompt_id
      title: ViewRequest
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
        - message
      title: SuccessResponse
    Error:
      type: object
      properties:
        success:
          type: boolean
        errors:
          type: array
          items:
            type: string
      required:
        - success
        - errors
      title: Error
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

```

## Examples



**Request**

```json
{
  "prompt_id": "string"
}
```

**Response**

```json
{
  "success": true,
  "message": "string"
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.corpus.logCorpusView("id", "model", {
        promptId: "string",
    });
}
main();

```

```python
from apologist import ApologistAgent

client = ApologistAgent(
    api_key="YOUR_API_KEY_HERE",
)

client.corpus.log_corpus_view(
    id="id",
    model="model",
    prompt_id="string",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.corpus.requests.ViewRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.corpus().logCorpusView(
            "model",
            "id",
            ViewRequest
                .builder()
                .promptId("string")
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.corpus.log_corpus_view(
  id: "id",
  model: "model",
  prompt_id: "string"
)

```

```csharp
using Apologist;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Corpus.LogCorpusViewAsync(
            new ViewRequest {
                Model = "model",
                Id = "id",
                PromptId = "string"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.ViewRequest{
        Model: "model",
        ID: "id",
        PromptID: "string",
    }
    client.Corpus.LogCorpusView(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;
use Apologist\Corpus\Requests\ViewRequest;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->corpus->logCorpusView(
    'id',
    'model',
    new ViewRequest([
        'promptId' => 'string',
    ]),
);

```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["prompt_id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/corpus/model/id/view")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```